API Guide Home (Online version only) |

# PalmPin.h File Reference

## Detailed Description

Public API for the Pen Input Manager Library.

Version:
  1.0

Definition in file PalmPin.h.

Include dependency graph for PalmPin.h:

Go to the source code of this file.

## Data Structures

- struct AiaExtentChangedEventDataType

## Defines

- #define aiaExtentChangedData(eventP) ((AiaExtentChangedEventDataType *)(&((eventP)->data.generic)))

Library type and creator

- #define pinLibType sysFileTLibrary
- #define pinLibCreator 'pinM'
- #define pinLibName "PinLib"
- #define pinFtrNumVersion 0

Pinlet IDs

- #define pinClassic "Classic"
- #define pinTriCell "Tri Cell"
- #define pinStdKeyboard "StdKB"
- #define pinletStdKbNum "StdKBNum"
- #define pinletStdKbIntl "StdKBIntl"

PIN Manager Errors

- #define pinErrorClass (appErrorClass | 0x0A00)
- #define pinErrInvalidState (pinErrorClass + 1)
- #define pinErrUnknownID (pinErrorClass + 2)
- #define pinErrInvalidInputMode (pinErrorClass + 3)

Input area states

- #define pinInputAreaNone 0
- #define pinInputAreaShow 1
- #define pinInputAreaHide 2
- #define pinInputAreaLegacyMode 3
- #define pinInputAreaFullScreen 4

Input Modes

- #define pinInputModeNormal 0
- #define pinInputModeShift 1
- #define pinInputModeCapsLock 2
- #define pinInputModePunctuation 3
- #define pinInputModeNumeric 4
- #define pinInputModeExtended 5
- #define pinInputModeHiragana 6
- #define pinInputModeKatakana 7

AIA event and notification

- #define sysNotifyAiaEvent 'Aian'
- #define AiaExtentChangedEvent 0x5000

Library Traps

- #define kPinLibTrapOpen sysLibTrapOpen
- #define kPinLibTrapClose sysLibTrapClose
- #define kPinLibTrapPinGetInputAreaState (sysLibTrapCustom + 17)
- #define kPinLibTrapPinSetInputAreaState (sysLibTrapCustom + 18)
- #define kPinLibTrapPinResetInputState (sysLibTrapCustom + 24)
- #define kPinLibTrapPinGetCurrentPinletID (sysLibTrapCustom + 20)
- #define kPinLibTrapPinSwitchToPinlet (sysLibTrapCustom + 21)
- #define kPinLibTrapPinGetInputMode (sysLibTrapCustom + 23)
- #define kPinLibTrapPinSetInputMode (sysLibTrapCustom + 22)
- #define kPinLibTrapPINShowReferenceDialog (sysLibTrapCustom + 25)

## Functions

- Err PinLibOpen (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- Err PinLibClose (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- UInt16 PinGetInputAreaState (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- Err PinSetInputAreaState (UInt16 refnum, UInt16 state)
    Parameters:

      | refnum,: | IN:

- void PinResetInputState (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- const char * PinGetCurrentPinletID (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- Err PinSwitchToPinlet (UInt16 refnum, const char *pinletID, UInt16 initialInputMode)
    Parameters:

      | refnum,: | IN:

- UInt16 PinGetInputMode (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- void PinSetInputMode (UInt16 refnum, UInt16 inputMode)
    Parameters:

      | refnum,: | IN:

## Define Documentation

#define aiaExtentChangedData | ( | eventP |  | ) | ((AiaExtentChangedEventDataType *)(&((eventP)->data.generic)))

Macro to simplify getting the data out of the event structure.

Example: yDiff = AiaExtentChangedData(eventP)->newDim->extent.y - aiaExtentChangedData(eventP)->oldDim->extent.y;

Definition at line 116 of file PalmPin.h.

#define AiaExtentChangedEvent 0x5000

Definition at line 100 of file PalmPin.h.

#define kPinLibTrapClose sysLibTrapClose

Definition at line 125 of file PalmPin.h.

#define kPinLibTrapOpen sysLibTrapOpen

Definition at line 124 of file PalmPin.h.

#define kPinLibTrapPinGetCurrentPinletID (sysLibTrapCustom + 20)

Definition at line 129 of file PalmPin.h.

#define kPinLibTrapPinGetInputAreaState (sysLibTrapCustom + 17)

Definition at line 126 of file PalmPin.h.

#define kPinLibTrapPinGetInputMode (sysLibTrapCustom + 23)

Definition at line 131 of file PalmPin.h.

#define kPinLibTrapPinResetInputState (sysLibTrapCustom + 24)

Definition at line 128 of file PalmPin.h.

#define kPinLibTrapPinSetInputAreaState (sysLibTrapCustom + 18)

Definition at line 127 of file PalmPin.h.

#define kPinLibTrapPinSetInputMode (sysLibTrapCustom + 22)

Definition at line 132 of file PalmPin.h.

#define kPinLibTrapPINShowReferenceDialog (sysLibTrapCustom + 25)

Definition at line 133 of file PalmPin.h.

#define kPinLibTrapPinSwitchToPinlet (sysLibTrapCustom + 21)

Definition at line 130 of file PalmPin.h.

#define pinClassic "Classic"

Definition at line 49 of file PalmPin.h.

#define pinErrInvalidInputMode (pinErrorClass + 3)

Definition at line 64 of file PalmPin.h.

#define pinErrInvalidState (pinErrorClass + 1)

Definition at line 62 of file PalmPin.h.

#define pinErrorClass (appErrorClass | 0x0A00)

Definition at line 61 of file PalmPin.h.

#define pinErrUnknownID (pinErrorClass + 2)

Definition at line 63 of file PalmPin.h.

#define pinFtrNumVersion 0

Definition at line 41 of file PalmPin.h.

#define pinInputAreaFullScreen 4

Definition at line 76 of file PalmPin.h.

#define pinInputAreaHide 2

Definition at line 74 of file PalmPin.h.

#define pinInputAreaLegacyMode 3

Definition at line 75 of file PalmPin.h.

#define pinInputAreaNone 0

Definition at line 72 of file PalmPin.h.

#define pinInputAreaShow 1

Definition at line 73 of file PalmPin.h.

#define pinInputModeCapsLock 2

Definition at line 86 of file PalmPin.h.

#define pinInputModeExtended 5

Definition at line 89 of file PalmPin.h.

#define pinInputModeHiragana 6

Definition at line 90 of file PalmPin.h.

#define pinInputModeKatakana 7

Definition at line 91 of file PalmPin.h.

#define pinInputModeNormal 0

Definition at line 84 of file PalmPin.h.

#define pinInputModeNumeric 4

Definition at line 88 of file PalmPin.h.

#define pinInputModePunctuation 3

Definition at line 87 of file PalmPin.h.

#define pinInputModeShift 1

Definition at line 85 of file PalmPin.h.

#define pinletStdKbIntl "StdKBIntl"

Definition at line 53 of file PalmPin.h.

#define pinletStdKbNum "StdKBNum"

Definition at line 52 of file PalmPin.h.

#define pinLibCreator 'pinM'

Definition at line 39 of file PalmPin.h.

#define pinLibName "PinLib"

Definition at line 40 of file PalmPin.h.

#define pinLibType sysFileTLibrary

Definition at line 38 of file PalmPin.h.

#define pinStdKeyboard "StdKB"

Definition at line 51 of file PalmPin.h.

#define pinTriCell "Tri Cell"

Definition at line 50 of file PalmPin.h.

#define sysNotifyAiaEvent 'Aian'

Definition at line 99 of file PalmPin.h.

## Function Documentation

const char* PinGetCurrentPinletID | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

UInt16 PinGetInputAreaState | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

UInt16 PinGetInputMode | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err PinLibClose | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err PinLibOpen | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

void PinResetInputState | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err PinSetInputAreaState | ( | UInt16 | refnum,
|  | UInt16 | state |
| ) |  |  |

Parameters:

  | refnum,: | IN:

Parameters:

  | state,: | IN:

Return values:

  | Err | error code.

void PinSetInputMode | ( | UInt16 | refnum,
|  | UInt16 | inputMode |
| ) |  |  |

Parameters:

  | refnum,: | IN:

Parameters:

  | inputMode,: | IN:

Return values:

  | Err | error code.

Err PinSwitchToPinlet | ( | UInt16 | refnum,
|  | const char * | pinletID,
|  | UInt16 | initialInputMode |
| ) |  |  |

Parameters:

  | refnum,: | IN:

Parameters:

  | pinletID,: | IN:
  | initialInputMode,: | IN:

Return values:

  | Err | error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:56 2008 for Palm API Guide